View Issue Details

IDProjectCategoryView StatusLast Update
0016238LazarusLCLpublic2011-12-01 11:23
ReporterAlejandro LavarelloAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016238: TListView do not show icons in Linux when ViewStyle:=vsIcon or ViewStyle:=vsSmallIcon
DescriptionI have a ListView named ListView1 , two buttons Button1 and Button2,
two imagelist, ImageList1 and ImageList2.

ImageList1 contains 3 .png images of 16x16 pixels, Image2 has 3 .png of 48x48 pixels.

ListView has 3 items. It is configured to show 1 column in report mode.

ListView1 has SmallImages:=ImageList1 and LargeImages:=ImageList2.
Button1 has only 1 line of code: ListView1.ViewStyle:=vsReport;
Button2 has only 1 line: ListView1.ViewStyle:=vsIcon;

In Linux, the ListView do not show icons in mode vsIcon;
in Windows, same code show icons correctly.

Why?

Does anybody know a workaround?
Additional InformationCheck the simple project attached (code is less than 10 lines)
Tagsgtk, linux, ListView, vsIcon, vsReport, vsSmallIcons
Fixed in Revision24691
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

2010-04-09 17:26

 

problema-listview.zip (357,624 bytes)

Paul Ishenin

2010-04-18 10:47

manager   ~0036778

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-04-09 17:26 Alejandro Lavarello New Issue
2010-04-09 17:26 Alejandro Lavarello File Added: problema-listview.zip
2010-04-09 17:26 Alejandro Lavarello Widgetset => GTK 2
2010-04-12 05:57 Alejandro Lavarello Tag Attached: gtk
2010-04-12 05:57 Alejandro Lavarello Tag Attached: linux
2010-04-12 05:57 Alejandro Lavarello Tag Attached: ListView
2010-04-12 05:57 Alejandro Lavarello Tag Attached: vsIcon
2010-04-12 05:57 Alejandro Lavarello Tag Attached: vsReport
2010-04-12 05:57 Alejandro Lavarello Tag Attached: vsSmallIcons
2010-04-18 10:47 Paul Ishenin Fixed in Revision => 24691
2010-04-18 10:47 Paul Ishenin LazTarget => -
2010-04-18 10:47 Paul Ishenin Status new => resolved
2010-04-18 10:47 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-04-18 10:47 Paul Ishenin Resolution open => fixed
2010-04-18 10:47 Paul Ishenin Assigned To => Paul Ishenin
2010-04-18 10:47 Paul Ishenin Note Added: 0036778
2011-12-01 11:23 Marc Weustink Status resolved => closed